name: authd
environment-variables:
    - LD_LIBRARY_PATH=/usr/local/lib
user: authd
command: /home/lukc/Sources/authd/bin/authd -K /srv/${ENVIRONMENT}/jwt_key -u /srv/${ENVIRONMENT}/passwd -g /srv/${ENVIRONMENT}/group
%check
   name: Creating IPC directory
   directory: /run/ipc
   command: install -d -m6777 /run/ipc
%check
   name: Creating JWT key
   file: /srv/${ENVIRONMENT}/jwt_key
   command: head -c 64 /dev/urandom | base64 > /srv/${ENVIRONMENT}/jwt_key
%check
   name: passwd file
   file: /srv/${ENVIRONMENT}/passwd
   command: touch /srv/${ENVIRONMENT}/passwd
%check
   name: group file
   file: /srv/${ENVIRONMENT}/group
   command: touch /srv/${ENVIRONMENT}/group
provides: auth
